Bug 718285 - AdminServer should use "service" command instead of start/stop/restart scripts
Summary: AdminServer should use "service" command instead of start/stop/restart scripts
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2011-07-01 16:50 UTC by Rich Megginson
Modified: 2015-12-07 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:38:28 UTC


Attachments (Terms of Use)
0001-Bug-718285-AdminServer-should-use-service-command-in.patch (19.83 KB, patch)
2011-07-01 22:15 UTC, Rich Megginson
nhosoi: review+
Details | Diff

Description Rich Megginson 2011-07-01 16:50:41 UTC
On those platforms that use service, AdminServer should use that to stop/start/restart the admin server instead of the start|stop|restart-ds-admin scripts.

Comment 1 Rich Megginson 2011-07-01 22:15:53 UTC
Created attachment 510947 [details]
0001-Bug-718285-AdminServer-should-use-service-command-in.patch

Comment 2 Rich Megginson 2011-07-01 23:03:54 UTC
To ssh://git.fedorahosted.org/git/389/admin.git
   26efc6d..83551c4  master -> master
commit 83551c42e6f1465f2c3b9c385373c71f9aa0a3d0
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Fri Jul 1 13:01:08 2011 -0600
    Reviewed by: nhosoi (Thanks!)
    Branch: master
    Fix Description: Added a new configure switch --enable-service - if this is
    set, admin server will use the service command instead of the scripts.  The
    default value is "yes" if the build system has the service command.  The
    man pages for the scripts have been changed to discourage the user from
    using them, in favor of the service command.
    Platforms tested: RHEL6 x86_64
    Flag Day: no
    Doc impact: yes - need to document that the service command should be used
    instead of the stop/start/restart scripts

Comment 3 Amita Sharma 2011-07-07 07:18:41 UTC
Under man pages --
==================
DESCRIPTION
       start-ds-admin starts the Admin Server instance

       NOTE:  On  systems that provide the service command or systemctl or other similar command, that command should be used instead of this
       script.  This script is only for those installations that do not support such mechanisms.  e.g.

        service dirsrv-admin start

Functionality
==============
[root@rheltest /]# service dirsrv-admin restart
Shutting down dirsrv-admin: 
                                                           [  OK  ]
Starting dirsrv-admin: 
                                                           [  OK  ]
[root@rheltest /]# service dirsrv-admin stop
Shutting down dirsrv-admin: 
                                                           [  OK  ]
[root@rheltest /]# service dirsrv-admin start
Starting dirsrv-admin: 
                                                           [  OK  ]

Hence VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.